import _defineProperty from "@babel/runtime/helpers/defineProperty";

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

import makeStyles from "../../styles/makeStyles";

var styles = function styles(_ref) {
  var _ref$cleverUI = _ref.cleverUI,
      colors = _ref$cleverUI.colors,
      spacing = _ref$cleverUI.spacing,
      spaces = _ref$cleverUI.spaces,
      borderRadius = _ref$cleverUI.borderRadius,
      transitions = _ref$cleverUI.transitions;
  return {
    accordion: _objectSpread(_objectSpread({}, spacing["mb-4"]), {}, {
      overflow: "hidden",
      backgroundColor: "white",
      borderRadius: borderRadius.normal,
      transition: "all ".concat(transitions.duration["short"])
    }),
    accordionOutlined: {
      border: "2px solid",
      borderColor: colors.neutral[300]
    },
    accordionExpanded: {
      borderColor: colors.primary[500]
    },
    header: {
      display: "flex",
      justifyContent: "space-between",
      alignItems: "center",
      backgroundColor: "white",
      padding: spaces.md,
      cursor: "pointer"
    },
    headerExpanded: {
      borderBottomLeftRadius: 0,
      borderBottomRightRadius: 0
    },
    content: {
      transition: "max-height ".concat(transitions.duration["short"], " ").concat(transitions.easings.ease_in_out),
      maxHeight: 0,
      overflow: "hidden"
    },
    contentExpanded: function contentExpanded(_ref2) {
      var height = _ref2.height;
      return {
        maxHeight: "".concat(height, "px")
      };
    },
    icon: {
      transition: "transform ".concat(transitions.duration["short"])
    },
    expandedIcon: {
      transform: "rotate(180deg)",
      "& path": {
        fill: colors.primary[700]
      }
    },
    badge: _objectSpread(_objectSpread(_objectSpread({}, spacing["p-1"]), spacing["ml-2"]), {}, {
      backgroundColor: colors.primary[50],
      width: "fit-content",
      height: "fit-content",
      borderRadius: "8px"
    }),
    subtitle: _objectSpread(_objectSpread({}, spacing["mt-1"]), {}, {
      fontStyle: "italic"
    })
  };
};

export default makeStyles(styles);